为什么ios-9.3.2 和 ios-10.0.3 不同的版本下 safari 的兼容性都不一样?

Futurefinger
  • 985

为什么ios-9.3.2 和 ios-10.0.3 不同的版本下 safari 的兼容性都不一样?

比如:js中setSelectionRangeselectionStartselectionEnd 这几个api在ios-10.0.3版本中交互效果和ios-9.3.2版本的交互截然不同?!,
我通过https://caniuse.com/这个网站也查询了兼容范围,发现也是兼容的,这应该是什么情况引起的,难道web
页面在ios上的兼容问题还和ios系统版本有关系吗?!

回复
阅读 2.7k
1 个回答

当然有关系了,,,我现在写h5页面,发现ios8.2 ES6的语法都不兼容。真的麻烦,

宣传栏